SSLSettings (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SSLSettings interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SSLSettings

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ApacheSSLSettings, IPlanetSSLSettings, WebLogicSSLSettings, WebSphereSSLSettings

    public interface SSLSettings

extends LogicalElement

Represents settings for using SSL.

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`CertificateFile[]` | `getAcceptCaCertificateFiles()`
`CertificateFile` | `getCaCertificateFile()`
`CertificateFile` | `getCertificateFile()`
`java.lang.String` | `getCipherSuite()`
`PrivateKeyFile` | `getPrivateKeyFile()`
`CertificateFile[]` | `getRevokeCaCertificateFiles()`
`int` | `getSessionCacheTimeout()`
`boolean` | `getSslEnabled()`
`int` | `getSslPort()`
`boolean` | `hasAcceptCaCertificateFiles()`
`boolean` | `hasCaCertificateFile()`
`boolean` | `hasCertificateFile()`
`boolean` | `hasCipherSuite()`
`boolean` | `hasPrivateKeyFile()`
`boolean` | `hasRevokeCaCertificateFiles()`
`boolean` | `hasSessionCacheTimeout()`
`boolean` | `hasSslEnabled()`
`boolean` | `hasSslPort()`
`void` | `setAcceptCaCertificateFiles(CertificateFile[] files)`
`void` | `setCaCertificateFile(CertificateFile file)`
`void` | `setCertificateFile(CertificateFile file)`
`void` | `setCipherSuite(java.lang.String cipherSuite)`
`void` | `setPrivateKeyFile(PrivateKeyFile file)`
`void` | `setRevokeCaCertificateFiles(CertificateFile[] files)`
`void` | `setSessionCacheTimeout(int sessionCacheTimeout)`
`void` | `setSslEnabled(boolean b)`
`void` | `setSslPort(int port)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getSslEnabled

    boolean getSslEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSslEnabled

    void setSslEnabled(boolean b)

### hasSslEnabled

    boolean hasSslEnabled()

### getSslPort

    int getSslPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSslPort

    void setSslPort(int port)

### hasSslPort

    boolean hasSslPort()

### getPrivateKeyFile

    PrivateKeyFile getPrivateKeyFile()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setPrivateKeyFile

    void setPrivateKeyFile(PrivateKeyFile file)

### hasPrivateKeyFile

    boolean hasPrivateKeyFile()

### getCertificateFile

    CertificateFile getCertificateFile()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setCertificateFile

    void setCertificateFile(CertificateFile file)

### hasCertificateFile

    boolean hasCertificateFile()

### getCaCertificateFile

    CertificateFile getCaCertificateFile()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setCaCertificateFile

    void setCaCertificateFile(CertificateFile file)

### hasCaCertificateFile

    boolean hasCaCertificateFile()

### getAcceptCaCertificateFiles

    CertificateFile[] getAcceptCaCertificateFiles()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accepts" reverse="false"

### setAcceptCaCertificateFiles

    void setAcceptCaCertificateFiles(CertificateFile[] files)

### hasAcceptCaCertificateFiles

    boolean hasAcceptCaCertificateFiles()

### getRevokeCaCertificateFiles

    CertificateFile[] getRevokeCaCertificateFiles()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Rejects" reverse="false"

### setRevokeCaCertificateFiles

    void setRevokeCaCertificateFiles(CertificateFile[] files)

### hasRevokeCaCertificateFiles

    boolean hasRevokeCaCertificateFiles()

### getCipherSuite

    java.lang.String getCipherSuite()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCipherSuite

    void setCipherSuite(java.lang.String cipherSuite)

### hasCipherSuite

    boolean hasCipherSuite()

### getSessionCacheTimeout

    int getSessionCacheTimeout()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionCacheTimeout

    void setSessionCacheTimeout(int sessionCacheTimeout)

### hasSessionCacheTimeout

    boolean hasSessionCacheTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD